PATCH
Mettre à jour un webhook
/webhooks/{webhook_id}Met à jour les propriétés d'un webhook.
Paramètres
Paramètres de chemin
| Nom | Type | Description |
|---|---|---|
webhook_idrequis | string | The webhook ID |
Corps de la requête
application/jsonrequis
{
name:stringurl:stringevents:string[]secret:stringheaders:objectis_active:boolean}
Exemples de code
curl -X PATCH "https://api.qamaq.io/api/v1/webhooks/{webhook_id}" \
-H "Authorization: Bearer qmq_your_api_key" \
-H "Content-Type: application/json" \
-d '{"key": "value"}'Réponses
200Webhook updated successfully
Response Body
{
id:stringname:stringurl:stringevents:string[]has_secret:booleanheaders:objectis_active:booleanlast_triggered_at:string (date-time)last_status:stringfailure_count:integercreated_at:string (date-time)updated_at:string (date-time)}